export interface IdpFormModel {
    personalLevel: PersonalLevel
    masfromEvaluationRound: MasfromEvaluationRound
    companyId: string
    active: boolean
    masfromStatusType: MasfromStatusType
    currentStep: string
    lastStep: string
    apsassessy: Apsassessy
    apsapprove1: Apsapprove1
    apsapprove2: Apsapprove2
    apsapprove3: Apsapprove3
    apsapprove4: Apsapprove4
    apsapprove5: Apsapprove5
    masfromEvaluationIdp: MasfromEvaluationIdp
    competencyIndicatorsCourses1: CompetencyIndicatorsCourses1[]
    boss: Boss
}

export interface PersonalLevel {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface MasfromEvaluationRound {
    evaluationRoundId: string
    companyId: string
    tdesc: string
    edesc: string
    apsyear: string
    apsPeriodStart: string
    apsPeriodEnd: string
}

export interface MasfromStatusType {
    code: string
    tdesc: string
    edesc: string
}

export interface Apsassessy {
    employeeId: string
    bossId: string
    prefix: Prefix
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu1
    bu2: Bu2
    bu3: Bu3
    bu4: Bu4
    bu5: Bu5
    position: Position
    job: Job
    pl: Pl
    status: Status
    time0: Time0
    resignDate: string
    endWorkDate: string
    startDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu1 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu2 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu3 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu4 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu5 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time0 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}

export interface Apsapprove1 {
    employeeId: string
    bossId: string
    prefix: Prefix2
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu12
    bu2: Bu22
    bu3: Bu32
    bu4: Bu42
    bu5: Bu52
    position: Position2
    job: Job2
    pl: Pl2
    status: Status2
    time0: Time02
    resignDate: string
    endWorkDate: string
    startDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix2 {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu12 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu22 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu32 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu42 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu52 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position2 {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job2 {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl2 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status2 {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time02 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}

export interface Apsapprove2 {
    employeeId: string
    bossId: string
    prefix: Prefix3
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu13
    bu2: Bu23
    bu3: Bu33
    bu4: Bu43
    bu5: Bu53
    position: Position3
    job: Job3
    pl: Pl3
    status: Status3
    time0: Time03
    resignDate: string
    endWorkDate: string
    startDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix3 {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu13 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu23 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu33 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu43 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu53 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position3 {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job3 {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl3 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status3 {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time03 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}

export interface Apsapprove3 {
    employeeId: string
    bossId: string
    prefix: Prefix4
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu14
    bu2: Bu24
    bu3: Bu34
    bu4: Bu44
    bu5: Bu54
    position: Position4
    job: Job4
    pl: Pl4
    status: Status4
    time0: Time04
    resignDate: string
    endWorkDate: string
    startDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix4 {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu14 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu24 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu34 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu44 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu54 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position4 {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job4 {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl4 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status4 {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time04 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}

export interface Apsapprove4 {
    employeeId: string
    bossId: string
    prefix: Prefix5
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu15
    bu2: Bu25
    bu3: Bu35
    bu4: Bu45
    bu5: Bu55
    position: Position5
    job: Job5
    pl: Pl5
    status: Status5
    time0: Time05
    resignDate: string
    endWorkDate: string
    startDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix5 {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu15 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu25 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu35 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu45 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu55 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position5 {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job5 {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl5 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status5 {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time05 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}

export interface Apsapprove5 {
    employeeId: string
    bossId: string
    prefix: Prefix6
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu16
    bu2: Bu26
    bu3: Bu36
    bu4: Bu46
    bu5: Bu56
    position: Position6
    job: Job6
    pl: Pl6
    status: Status6
    time0: Time06
    resignDate: string
    endWorkDate: string
    startDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix6 {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu16 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu26 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu36 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu46 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu56 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position6 {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job6 {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl6 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status6 {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time06 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}

export interface MasfromEvaluationIdp {
    masfromEvaluationAssessment: MasfromEvaluationAssessment
    plId: string
    companyId: string
    apsassessyStatus: string
    apsapprove1Status: string
    apsapprove2Status: string
    apsapprove3Status: string
    apsapprove4Status: string
    apsapprove5Status: string
    apsassessyComment: string
    apsapprove1Comment: string
    apsapprove2Comment: string
    apsapprove3Comment: string
    apsapprove4Comment: string
    apsapprove5Comment: string
    apsassessyDate: string
    apsapprove1Date: string
    apsapprove2Date: string
    apsapprove3Date: string
    apsapprove4Date: string
    apsapprove5Date: string
    idpStatus: string
}

export interface MasfromEvaluationAssessment {
    personalLevel: PersonalLevel2
    masfromEvaluationRound: MasfromEvaluationRound2
    companyId: string
    active: boolean
    apsassessy: Apsassessy2
    apsapprove1: Apsapprove12
    apsapprove2: Apsapprove22
    apsapprove3: Apsapprove32
    apsapprove4: Apsapprove42
    apsapprove5: Apsapprove52
    masfromEvaluationAssessment1: MasfromEvaluationAssessment1[]
}

export interface PersonalLevel2 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface MasfromEvaluationRound2 {
    evaluationRoundId: string
    companyId: string
    tdesc: string
    edesc: string
    apsyear: string
    apsPeriodStart: string
    apsPeriodEnd: string
    personalLevel: PersonalLevel3[]
    jlId: string
    active: number
    statusFrom: StatusFrom
    statusCode: StatusCode
}

export interface PersonalLevel3 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface StatusFrom {
    code: string
    tdesc: string
    edesc: string
}

export interface StatusCode {
    code: string
    tdesc: string
    edesc: string
}

export interface Apsassessy2 {
    employeeId: string
    bossId: string
    prefix: Prefix7
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu17
    bu2: Bu27
    bu3: Bu37
    bu4: Bu47
    bu5: Bu57
    position: Position7
    job: Job7
    pl: Pl7
    status: Status7
    time0: Time07
    resignDate: string
    endWorkDate: string
    startDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix7 {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu17 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu27 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu37 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu47 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu57 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position7 {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job7 {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl7 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status7 {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time07 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}

export interface Apsapprove12 {
    employeeId: string
    bossId: string
    prefix: Prefix8
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu18
    bu2: Bu28
    bu3: Bu38
    bu4: Bu48
    bu5: Bu58
    position: Position8
    job: Job8
    pl: Pl8
    status: Status8
    time0: Time08
    resignDate: string
    endWorkDate: string
    startDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix8 {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu18 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu28 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu38 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu48 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu58 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position8 {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job8 {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl8 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status8 {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time08 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}

export interface Apsapprove22 {
    employeeId: string
    bossId: string
    prefix: Prefix9
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu19
    bu2: Bu29
    bu3: Bu39
    bu4: Bu49
    bu5: Bu59
    position: Position9
    job: Job9
    pl: Pl9
    status: Status9
    time0: Time09
    resignDate: string
    endWorkDate: string
    startDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix9 {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu19 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu29 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu39 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu49 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu59 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position9 {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job9 {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl9 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status9 {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time09 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}

export interface Apsapprove32 {
    employeeId: string
    bossId: string
    prefix: Prefix10
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu110
    bu2: Bu210
    bu3: Bu310
    bu4: Bu410
    bu5: Bu510
    position: Position10
    job: Job10
    pl: Pl10
    status: Status10
    time0: Time010
    resignDate: string
    endWorkDate: string
    startDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix10 {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu110 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu210 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu310 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu410 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu510 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position10 {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job10 {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl10 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status10 {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time010 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}

export interface Apsapprove42 {
    employeeId: string
    bossId: string
    prefix: Prefix11
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu111
    bu2: Bu211
    bu3: Bu311
    bu4: Bu411
    bu5: Bu511
    position: Position11
    job: Job11
    pl: Pl11
    status: Status11
    time0: Time011
    resignDate: string
    endWorkDate: string
    startDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix11 {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu111 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu211 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu311 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu411 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu511 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position11 {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job11 {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl11 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status11 {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time011 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}

export interface Apsapprove52 {
    employeeId: string
    bossId: string
    prefix: Prefix12
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu112
    bu2: Bu212
    bu3: Bu312
    bu4: Bu412
    bu5: Bu512
    position: Position12
    job: Job12
    pl: Pl12
    status: Status12
    time0: Time012
    resignDate: string
    endWorkDate: string
    startDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix12 {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu112 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu212 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu312 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu412 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu512 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position12 {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job12 {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl12 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status12 {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time012 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}

export interface MasfromEvaluationAssessment1 {
    plId: string
    companyId: string
    lineNo: number
    competencyType: CompetencyType
    masfromStatusType: MasfromStatusType2
    currentStep: string
    lastStep: string
    apsassessyStatus: string
    apsapprove1Status: string
    apsapprove2Status: string
    apsapprove3Status: string
    apsapprove4Status: string
    apsapprove5Status: string
    numberCheck1: number
    numberCheck2: number
    numberCheck3: number
    numberCheck4: number
    numberCheck5: number
    weightedTotal: number
    averageScore: number
    apsassessyComment: string
    apsapprove1Comment: string
    apsapprove2Comment: string
    apsapprove3Comment: string
    apsapprove4Comment: string
    apsapprove5Comment: string
    apsassessyDate: string
    apsapprove1Date: string
    apsapprove2Date: string
    apsapprove3Date: string
    apsapprove4Date: string
    apsapprove5Date: string
    evaluationResults: string
    sumEvaluationResults: string
}

export interface CompetencyType {
    competencyTypeId: string
    companyId: string
    edesc: string
    tdesc: string
    shortName: string
    expectationLevel: string
    weight: number
}

export interface MasfromStatusType2 {
    code: string
    tdesc: string
    edesc: string
}

export interface CompetencyIndicatorsCourses1 {
    indicatorsCourses0: IndicatorsCourses0
    competencyCourseId: string
    competencyCourse: CompetencyCourse[]
    behavioralIndicators: BehavioralIndicator[]
    idpDevelopmentPlan: IdpDevelopmentPlan
}

export interface IndicatorsCourses0 {
    competencyTopic: CompetencyTopic
    companyId: string
    edesc: string
    tdesc: string
    indicatorsCourseDetailTh: string
    indicatorsCourseDetailEn: string
}

export interface CompetencyTopic {
    competencyTopicId: string
    competencyType: CompetencyType2
    companyId: string
    edesc: string
    tdesc: string
    competencyDetail: string
    competencyFiles: string
    lineNo: number
    expectationLevel: string
}

export interface CompetencyType2 {
    competencyTypeId: string
    companyId: string
    edesc: string
    tdesc: string
    shortName: string
    expectationLevel: string
    weight: number
}

export interface CompetencyCourse {
    competencyCourseId: string
    companyId: string
    edesc: string
    tdesc: string
}

export interface BehavioralIndicator {
    competencyIndicators1: CompetencyIndicators1
    runNo: number
    companyId: string
    assessmentId: string
    behavioralIndicators: string
    competencyAssessment: CompetencyAssessment[]
}

export interface CompetencyIndicators1 {
    competencyIndicatorsCourses0: CompetencyIndicatorsCourses0
    lineNo: number
    companyId: string
    competencyCourseId: string
}

export interface CompetencyIndicatorsCourses0 {
    competencyTopic: CompetencyTopic2
    companyId: string
    edesc: string
    tdesc: string
    indicatorsCourseDetailTh: string
    indicatorsCourseDetailEn: string
}

export interface CompetencyTopic2 {
    competencyTopicId: string
    competencyType: CompetencyType3
    companyId: string
    edesc: string
    tdesc: string
    competencyDetail: string
    competencyFiles: string
    lineNo: number
    expectationLevel: string
}

export interface CompetencyType3 {
    competencyTypeId: string
    companyId: string
    edesc: string
    tdesc: string
    shortName: string
    expectationLevel: string
    weight: number
}

export interface CompetencyAssessment {
    assessmentId: string
    companyId: string
    edesc: string
    tdesc: string
    shortName: string
}

export interface IdpDevelopmentPlan {
    planId: string
    companyId: string
    ojtJobAssignment: boolean
    coachMentor: boolean
    training: boolean
}

export interface Boss {
    employeeId: string
    bossId: string
    prefix: Prefix13
    fname: string
    lname: string
    efname: string
    elname: string
    bu1: Bu113
    bu2: Bu213
    bu3: Bu313
    bu4: Bu413
    bu5: Bu513
    position: Position13
    job: Job13
    pl: Pl13
    status: Status13
    time0: Time013
    resignDate: string
    endWorkDate: string
    startDate: string
    thFullName: string
    engFullName: string
}

export interface Prefix13 {
    prefixId: string
    tdesc: string
    edesc: string
}

export interface Bu113 {
    bu1id: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Bu213 {
    bu2id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu313 {
    bu3id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu413 {
    bu4id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Bu513 {
    bu5id: string
    tdesc: string
    edesc: string
    parent: string
    companyId: string
}

export interface Position13 {
    positionId: string
    tdesc: string
    edesc: string
    consolidate: string
    shortName: string
    companyId: string
}

export interface Job13 {
    jobCodeId: string
    tdesc: string
    edesc: string
}

export interface Pl13 {
    plId: string
    tdesc: string
    edesc: string
    companyId: string
}

export interface Status13 {
    statusCode: string
    statusType: string
    tdesc: string
    edesc: string
}

export interface Time013 {
    time0id: string
    tdesc: string
    edesc: string
    stickTm: string
    hourD: number
}
